<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('resignation_letters', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('employee_id', 20);
            $table->date('resignation_date');
            $table->text('reason')->nullable();
            $table->string('attachment', 250)->nullable();
            $table->boolean('enabled')->default(true);
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('resignation_letters');
    }
};
